## yaha 0.1.83

=== Makefile ===
# Determine the yaha build number
BUILDNUM := 83
# Decide if we are compiling for user mode, or internal lab usage.
# This almost exclusively determines the options available to the user when running YAHA.
# But also controls timing information.
USERMODE := TRUE

# Set up the sub-directory names.
SDIR := src
ODIR := obj
BDIR := bin

# Set up flags depending on mode
ifdef USERMODE
PROG	 := yaha
CCFLAGS  := -Wall -O3 -D COMPILE_USER_MODE -D BUILDNUM=$(BUILDNUM)
else
PROG	 := yaha$(BUILDNUM)
CCFLAGS  := -Wall -Winline -O3 -g -D BUILDNUM=$(BUILDNUM)
endif

# Auto build dependency files.
CCFLAGS  += -MMD -MP

CC	 := gcc
CPP      := g++
CFLAGS	 := $(CCFLAGS) -std=gnu99
CPPFLAGS := $(CCFLAGS)
LDFLAGS  := -pthread

# The list of object files.
OBJfiles := Main.o AlignArgs.o AlignHelpers.o AlignExtFrag.o AlignOutput.o BaseSeq.o Compress.o \
	FileHelpers.o GraphPath.o Index.o Query.o QueryMatch.o QueryState.o SW.o Math.o
# Convert to use the obj dir
OBJS := $(patsubst %,$(ODIR)/%,$(OBJfiles))

# Make everything, all of which is defined below
YAHA: $(ODIR) $(BDIR) $(BDIR)/$(PROG)

# Make the directories
$(ODIR):
	mkdir -p $(ODIR)
$(BDIR):
	mkdir -p $(BDIR)

# Link the program
$(BDIR)/$(PROG): $(OBJS)
	$(CPP) $(LDFLAGS) -o $@ $(OBJS)

# Include the dependencies.
# The actual objects will be built by the below generic rules based on these dependencies.
# The - suppresses warning messages about missing files when building from scratch.
-include $(OBJS:.o=.d)

# Make the object files.
# The built in rules will miss the subdirectories. 
$(ODIR)/%.o: $(SDIR)/%.c
	$(CC) $(CFLAGS) -c $< -o $@

$(ODIR)/%.o: $(SDIR)/%.cpp
	$(CPP) $(CPPFLAGS) -c $< -o $@

.PHONY: clean
clean:
	rm -Rf $(ODIR)
	rm -Rf $(BDIR)

=== debian/changelog ===
yaha (0.1.83-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:04:19 +0100

yaha (0.1.83-1) unstable; urgency=medium

  * Initial release (Closes: #903602)

 -- Steffen Moeller <moeller@debian.org>  Wed, 11 Jul 2018 20:27:27 +0200

=== debian/control ===
Source: yaha
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.5
Homepage: https://github.com/GregoryFaust/yaha
Vcs-Browser: https://salsa.debian.org/med-team/yaha
Vcs-Git: https://salsa.debian.org/med-team/yaha.git

Package: yaha
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: find split-read mappings on single-end queries
 yaha is an open source, flexible, sensitive and accurate DNA aligner
 designed for single-end reads. It supports three major modes of
 operation:
  * The default “Optimal Query Coverage” (-OQC) mode reports the
    best set of alignments that cover the length of each query.
  * Using “Filter By Similarity” (-FBS), along with the best set of
    alignments, yaha will also output alignments that are highly similar
    to an alignment in the best set.
  * Finally, yaha can output all the alignments found for each query.
 The -OQC and -FBS modes are specifically tuned to form split read
 mappings that can be used to accurately identify structural variation
 events (deletions, duplications, insertions or inversions) between the
 subject query and the reference genome.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%yaha-$1.tar.gz%" \
   https://github.com/GregoryFaust/yaha/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
